> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-reporting-service-guide/v21/creating-custom-reports/example-report-with-charts/design-the-report/add-a-pie-chart.md).

# Add a Pie Chart

We'll now add a pie chart that will show the server information. Once again, click **Insert** > **Chart** and choose the pie shape.

On the main report screen, do the following:

* Change the chart title to **Summary**.
* Add **Machine\_Name** to **Values**.
* Add **Machine\_Type** to **Category Groups.**
* Expand the **Machines\_Type** drop-down list and choose **Category Group Properties**.

Select the **Sorting** tab and set the **Sort by** field to **SortingID**. Click **OK**.

Click **Insert** > **Matrix**:

Drag and drop **Machine\_Name**. Remove the existing **Machine\_Name** (highlighted in blue on the screenshot below):

Drag and drop **Machine\_Type**:

Right-click on the **Data** box and choose **Select** > **Image:**

In the **Image Properties** dialog:

1. Name the image.
2. Make sure that **Embedded** is selected in the **Select the image source** field.
3. Click the **Import** button and select an image.
4. Click **OK**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-reporting-service-guide/v21/creating-custom-reports/example-report-with-charts/design-the-report/add-a-pie-chart.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
